Subject: Re: [Pals] Spencer Dawkins' No Objection on draft-ietf-pals-ethernet-cw-06: (with COMMENT)

From: Stewart Bryant <[email-masked]>
Date: Mon, 2 Jul 2018 12:02:01 +0100

On 20/06/2018 19:19, Spencer Dawkins wrote:
> Spencer Dawkins has entered the following ballot position for
> draft-ietf-pals-ethernet-cw-06: No Objection
>
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
>
>
> Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about IESG DISCUSS and COMMENT positions.
>
>
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-pals-ethernet-cw/
>
>
>
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
>
> In this text,
>
>    This problem has recently become more serious for a number of
>     reasons.  Firstly, due to the deployment of equipment with Ethernet
>     MAC addresses that start with 0x4 or 0x6 assigned by the IEEE
>     Registration Authority Committee (RAC).  Secondly, concerns over
>     privacy have led to the use of MAC address randomization which
>     assigns local MAC addresses randomly for privacy.  Random assignment
>     results in addresses starting with one of these two values one time
>     in eight.
>
> the problem caused by the second case is explained well, but the problem caused
> by the first reason is not. Would it be correct to say
>
>    This problem has recently become more serious for a number of
>     reasons.  Firstly, due to the deployment of equipment with Ethernet
>     MAC addresses that start with 0x4 or 0x6 assigned by the IEEE
>     Registration Authority Committee (RAC).
>
> Any addresses that start with either of these two values can be misidentified.
>
>     Secondly, concerns over
>     privacy have led to the use of MAC address randomization which
>     assigns local MAC addresses randomly for privacy.  Random assignment
>     results in addresses starting with one of these two values one time
>     in eight.
>
> ?
>
Spencer

I have added a para that precedes the text that you are concerned about:

IPv4 and IPv6 packets respectively start with the values 0x4 and 0x6.
Misidentification can arise if an Ethernet PW
packet without a CW is carrying an Ethernet packet with a destination
address that starts either of these values.

I think that this will provide a useful clarification to the reader as
to what is happening.

Best regards

Stewart

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Mon, 9 Jul 2018 19:36:47 -0500

Hi, Stewart,

On Mon, Jul 2, 2018 at 6:02 AM Stewart Bryant <[email-masked]>
wrote:

> > Please refer to
> https://www.ietf.org/iesg/statement/discuss-criteria.html

Thanks, that looks perfect.

Spencer